"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_specific_js_1 = require("./node-specific.js");
const device_esp32c3_js_1 = require("./device-esp32c3.js");
const logger_js_1 = require("./logger.js");
const serial = new node_specific_js_1.SerialPort("/dev/cu.usbmodem101");
(async function () {
    const logger = logger_js_1.Logger.voidLogger();
    const device = new device_esp32c3_js_1.DeviceEsp32c3(serial, { logger });
    const magic = await device.connect();
    console.log({ magic });
    const result = await device.spiFlashCommand(0x9f, new Uint8Array(0), 24);
    console.log("CHIP", { result });
    console.log(await device.getDeviceInfo());
    console.log(await device.getMacAddress());
})();
//# sourceMappingURL=test-esp32c3.js.map