"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_specific_js_1 = require("./node-specific.js");
const device_esp32c3_js_1 = require("./device-esp32c3.js");
const utils_js_1 = require("./utils.js");
const serial = new node_specific_js_1.SerialPort("/dev/cu.usbmodem1101");
(async function () {
    const device = new device_esp32c3_js_1.DeviceEsp32c3(serial);
    await device.reset();
    await (0, utils_js_1.stall)(50);
    await device.read();
    await device.sync();
    await (0, utils_js_1.stall)(100);
    await device.read();
    const result = await device.readRegister(0x40001000);
    console.log(result);
    //    console.log("CHIP", chipName(result));
    await device.read();
})();
//# sourceMappingURL=test-esp32c3.js.map