#!/usr/bin/node
import { DeviceEsp32c3 as Device } from "../device-esp32c3.js";
import { Logger } from "../logger.js";
import { SerialPort } from "../node-specific.js";
const serial = new SerialPort("/dev/cu.usbmodem101");
const enableTrace = (process.argv.indexOf("--trace") >= 0);
(async function () {
    const logger = (enableTrace ? Logger.logger() : Logger.voidLogger());
    const device = new Device(serial, { logger });
    await device.connect();
    const deviceInfo = await device.getDeviceInfo();
    const macAddress = await device.getMacAddress();
    console.log("Device Info:");
    console.log(`  Description: ${deviceInfo.description}`);
    console.log(`  MAC Address: ${macAddress}`);
})().catch((error) => {
    console.log("Error:", error.message);
    console.log(error);
});
//# sourceMappingURL=firefly.js.map