import { SerialPort } from "./node-specific.js";
import { DeviceEsp32c3 as Device } from "./device-esp32c3.js";
import { Logger } from "./logger.js";
const serial = new SerialPort("/dev/cu.usbmodem101");
(async function () {
    const logger = Logger.voidLogger();
    const device = new Device(serial, { logger });
    const magic = await device.connect();
    console.log({ magic });
    const result = await device.spiFlashCommand(0x9f, new Uint8Array(0), 24);
    console.log("CHIP", { result });
    console.log(await device.getDeviceInfo());
    console.log(await device.getMacAddress());
})();
//# sourceMappingURL=test-esp32c3.js.map